
{{ define "title" }}
  <!-- This will override the default value set in baseof.html; i.e., "{{.Site.Title}}" in the original example-->
  {{ .Title }} &ndash; {{ .Site.Title }}
{{ end }}

{{ define "main" }}
{{ $author := .File.ContentBaseName }}
<div class="author-main">
    <div class="author">
        <div class="author-img">
            {{ with .Resources.GetMatch (print $author "*") }}
            <img src="{{ .RelPermalink }}" alt="{{ .Title }}"/>
            {{ end }}
        </div>
        <div class="author-content">
            <h1>{{ .Title }}</h1>
            {{ .Content }}
        </div>
    </div>
    <div id="grid">
        <ul class="og-grid">
            {{ range sort (where .Site.RegularPages "Section" "illustrations") "Lastmod" "desc" }}
            {{ $permalink := .Permalink }}
            {{ $title := .Title }}
            {{ $description := .Summary }}
            {{ range .Resources.Match (print $author "*") }}
            <li>
                {{ $original := . }}
                {{ $thumb := $original.Fill "250x250 Center" }}
                <a href="{{$permalink}}">
                    <img src="{{ $thumb.RelPermalink }}" alt="{{ $title }} par {{ $author }}"/>
                </a>
            </li>
            {{ end }}
            {{ end }}
        </ul>
    </div>
</div>
{{ end }}
